| ghc-6.10.4: The GHC API | Contents | Index

TcTyFuns

Synopsis

tcNormaliseFamInst :: TcType -> TcM (CoercionI, TcType)
tcReduceEqs :: [Inst] -> [Inst] -> TcM ([Inst], [Inst], TcDictBinds, Bool)
misMatchMsg :: TidyEnv -> (TcType, TcType) -> (TidyEnv, SDoc)
failWithMisMatch :: TcType -> TcType -> TcM a

Documentation
tcNormaliseFamInst :: TcType -> TcM (CoercionI, TcType)
Normalise the given type as far as possible with toplevel equalities. This results in a coercion witnessing the type equality, in addition to the normalised type.
tcReduceEqs :: [Inst] -> [Inst] -> TcM ([Inst], [Inst], TcDictBinds, Bool)
misMatchMsg :: TidyEnv -> (TcType, TcType) -> (TidyEnv, SDoc)
failWithMisMatch :: TcType -> TcType -> TcM a
Produced by Haddock version 2.4.2